Subject: RE: why 0xFFFE is used in the modified EUI-64 format

From: "Manfredi, Albert E" <[email-masked]>
Date: Fri, 20 Jan 2006 17:30:27 -0500

I prefer this latest wording. I was puzzled why there was any difference between EUI-48 and MAC-48,  and was about to start searching when you provided the answer. I think it's best not to imply there's anything more to this than there actually is.

FF-FE resulted from some misinterpretation in the past, and so be it.

Bert

> -----Original Message-----
> From: Bob Hinden [mailto:[email-masked]] 
> Sent: Friday, January 20, 2006 5:24 PM
> To: JINMEI Tatuya / 神明達哉; IPv6 WG
> Subject: Re: why 0xFFFE is used in the modified EUI-64 format
> 
> One more thing,
> 
> On Jan 20, 2006, at 12:10 PM, Bob Hinden wrote:
> 
> > ....
> > They both use the same 24-bit OUI values.  It looks to me 
> like IEEE  
> > decided to deprecate the name MAC-48.  Why IEEE choose to have two  
> > different ways to create EUI-64 from these 48-bit identifiers is a  
> > mystery to me.  As far as bits on the wire, EUI-48 and MAC-48  
> > appear to be exactly the same.  The link in Jinmei's email that  
> > started this discussion confirms this:
> >
> > "The distinction between EUI-48 and MAC-48 identifiers is purely  
> > semantic: MAC-48 is used for network hardware; EUI-48 is used to  
> > identify other sorts of devices and software. (Thus, by 
> definition,  
> > an EUI-48 is not in fact a "MAC address", although it is  
> > syntactically indistinguishable from one and assigned from 
> the same  
> > numbering space.)"
> >
> > I will still plan to submit the new text as it clarifies 
> our use of  
> > these identifiers.
> 
> On further thought, I will change the last paragraph of the Note to:
> 
>     This document purposely continues the use of 0xFF and 0xFE  
> because it meets
>     the requirements for IPv6 interface identifiers (i.e., that they  
> must be unique on
>     the link), IEEE EUI-48 and MAC-48 identifiers are syntactically  
> equivalent,
>     and that it doesn't cause any problems in practice.
> 
> Let me know if anyone objects.
> 
> Thanks,
> Bob
> 
> 
> 
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------